moving this to not get in people's way.
authorChris Koeritz <fred@gruntose.com>
Sat, 17 Jan 2015 02:04:19 +0000 (21:04 -0500)
committerChris Koeritz <fred@gruntose.com>
Sat, 17 Jan 2015 02:04:19 +0000 (21:04 -0500)
customizing/fred/aliases/ssh.sh [new file with mode: 0755]
scripts/core/variables.sh
scripts/security/ssh.sh [deleted file]

diff --git a/customizing/fred/aliases/ssh.sh b/customizing/fred/aliases/ssh.sh
new file mode 100755 (executable)
index 0000000..064ecf8
--- /dev/null
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+# wraps our calling the secure shell and lets us pick our credentials.
+
+source "$FEISTY_MEOW_SCRIPTS/security/pick_credentials.sh"
+
+if [ ! -z "$keyfile" ]; then
+  \ssh -i "$keyfile" -X $*
+else
+  \ssh -X $*
+fi
+
+if [ $? -eq 0 ]; then
+  # we don't want to emit anything extra if this is being driven by git.
+  if [ -z "$(echo $* | grep git)" ]; then
+    # re-run the terminal labeller after coming back from ssh.
+    # we check the exit value because we don't want to update this for a failed connection.
+    bash $FEISTY_MEOW_SCRIPTS/tty/label_terminal_with_infos.sh
+  fi
+fi
+
+
index 2394821ba53874fd9d4d7e99faa555872e150679..dbef4552f66ab61dfa9322927a0155a16a207776 100644 (file)
@@ -129,8 +129,8 @@ if [ -z "$NECHUNG" ]; then
   export NECHUNG=$FEISTY_MEOW_DIR/infobase/fortunes.dat
   
   # ensure we use the right kind of secure shell.
-  export CVS_RSH=$FEISTY_MEOW_SCRIPTS/security/ssh.sh
-  export GIT_SSH=$FEISTY_MEOW_SCRIPTS/security/ssh.sh
+#  export CVS_RSH=$FEISTY_MEOW_SCRIPTS/security/ssh.sh
+#  export GIT_SSH=$FEISTY_MEOW_SCRIPTS/security/ssh.sh
   
   # the base checkout list is just to update feisty_meow.  additional folder
   # names can be added in your customized scripts.  the space at the end of
diff --git a/scripts/security/ssh.sh b/scripts/security/ssh.sh
deleted file mode 100755 (executable)
index 064ecf8..0000000
+++ /dev/null
@@ -1,22 +0,0 @@
-#!/bin/bash
-
-# wraps our calling the secure shell and lets us pick our credentials.
-
-source "$FEISTY_MEOW_SCRIPTS/security/pick_credentials.sh"
-
-if [ ! -z "$keyfile" ]; then
-  \ssh -i "$keyfile" -X $*
-else
-  \ssh -X $*
-fi
-
-if [ $? -eq 0 ]; then
-  # we don't want to emit anything extra if this is being driven by git.
-  if [ -z "$(echo $* | grep git)" ]; then
-    # re-run the terminal labeller after coming back from ssh.
-    # we check the exit value because we don't want to update this for a failed connection.
-    bash $FEISTY_MEOW_SCRIPTS/tty/label_terminal_with_infos.sh
-  fi
-fi
-
-